For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The TrackingCategory object
          • GET/tracking-categories
          • GET/tracking-categories/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTracking Categories

/tracking-categories/{id}

GET
/accounting/v1/tracking-categories/:id
GET
/api/accounting/v1/tracking-categories/:id
$curl -G https://api.merge.dev/api/accounting/v1/tracking-categories/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=company \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
3 "remote_id": "948201",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Marketing Department",
7 "status": "ACTIVE",
8 "category_type": "DEPARTMENT",
9 "parent_category": "d25d609b-945f-4762-b55a-1c8fb220c43c",
10 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
11 "remote_was_deleted": true,
12 "field_mappings": {
13 "organization_defined_targets": {
14 "custom_key": "custom_value"
15 },
16 "linked_account_defined_targets": {
17 "custom_key": "custom_value"
18 }
19 }
20}

Returns a TrackingCategory object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tracking-categories

Next

The Transaction object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The tracking category's name.
statusenum or null

The tracking category’s status.

  • ACTIVE - ACTIVE
  • ARCHIVED - ARCHIVED
Allowed values:
category_typeenum or null

The tracking category’s type.

  • CLASS - CLASS
  • DEPARTMENT - DEPARTMENT
Allowed values:
parent_categorystring or nullformat: "uuid"
companystring or nullformat: "uuid"
The company the GeneralLedgerTransaction belongs to.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more